package com.yida.data.device.telephone.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.CurrentUser;
import com.yida.data.common.core.entity.telephone.EduTelephoneOrder;
import com.yida.data.device.dto.telephone.OrderPageDTO;
import com.yida.data.device.vo.telephone.OrderInfoVO;
import com.yida.data.device.vo.telephone.OrderPageVO;
import com.yida.data.school.vo.transcation.PayInfoVO;

import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * 亲情电话-充值订单 Service接口
 *
 * @author zhanghaijun
 * @date 2021-08-10 17:00:48
 */
public interface EduTelephoneOrderService extends IService<EduTelephoneOrder> {

    IPage<OrderPageVO> listOrderPage(OrderPageDTO dto);

    void exportOrder(OrderPageDTO dto, HttpServletResponse response);

    OrderInfoVO getOrder(Long id);

    /**
     * 微信回调通知
     *
     * @param res
     */
    void wxCall(Map<String, Object> res);

    PayInfoVO createOrder(Double money, Long icCardId, Integer payType, CurrentUser currentUser, String httpServletRequestIpAddress);

    void orderSuccess(String orderCode);

    PayInfoVO getWxJsSign(String orderCode, String toString);
}
